bin/isabelle-process
changeset 51952 4517ceb545c1
parent 51948 cb5dbc9a06f9
child 51964 f1c1d8637216
--- a/bin/isabelle-process	Sun May 12 20:46:17 2013 +0200
+++ b/bin/isabelle-process	Sun May 12 20:58:01 2013 +0200
@@ -222,10 +222,8 @@
   [ -p "${FIFOS[1]}" ] || fail "Bad output fifo: ${FIFOS[1]}"
   MLTEXT="$MLTEXT; Isabelle_Process.init_fifos \"${FIFOS[0]}\" \"${FIFOS[1]}\";"
 else
-  if [ -z "$ISABELLE_PROCESS_OPTIONS" ]; then
-    ISABELLE_PROCESS_OPTIONS="$ISABELLE_TMP/options"
-    "$ISABELLE_TOOL" options -x "$ISABELLE_PROCESS_OPTIONS" || fail "Failed to retrieve options"
-  fi
+  ISABELLE_PROCESS_OPTIONS="$ISABELLE_TMP/options"
+  "$ISABELLE_TOOL" options -x "$ISABELLE_PROCESS_OPTIONS" || fail "Failed to retrieve options"
   if [ "$INPUT" != RAW_ML_SYSTEM ]; then
     MLTEXT="Options.load_default () handle _ => exit 2; $MLTEXT"
   fi